virt-who configure - Bug #31467

virt-who plugin does not show HTTP Proxy details using APl and hammer CLI
12/07/2020 07:44 PM - Chris Roberts

Status: Closed

Priority: Normal

Assignee: Chris Roberts

Category:

Target version:

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1902199 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman_v

irt_who_configure/pull/129,
https://github.com/theforeman/hammer-cl
i-foreman-virt-who-configure/pull/11

Description

Description of problem:
virt-who plugin does not show HTTP Proxy details using APl and hammer CLI
Related bug:https://bugzilla.redhat.com/show_bug.cgi?id=1686691

Version-Release number of selected component (if applicable):
Sat6.9

How reproducible:
100%

Steps to Reproduce:

1. Create a virt-who plugin by Ul, config the HTTP Proxy option.
Details:

Hypervisor Type: VMware vSphere / vCenter (esx)
Hypervisor Server: 10.73.131.152

Hypervisor Username: administrator@vsphere.local

Interval: Every hour

Satellite server FQDN: ent-02-vm-08.lab.eng.nay.redhat.com
Hypervisor ID: hosthame

Filtering: Unlimited

HTTP Proxy: http://test@test.example.com:8080

2. Show the details of this config by APl and hammer CLI

Actual results:

API:

"results":
[{"name":"YnsUsEpOnl","interval":60,"organization_id":1,"whitelist":"","blacklist":"","hypervisor_id":"hostname","hypervisor_type":"esx"
,"hypervisor_server":"10.73.131.152","hypervisor_username":"administrator@vsphere.local
","debug":true,"satellite_url":"ent-02-vm-08.lab.eng.nay.redhat.com","no_proxy":"","status":"unknown","last_report_at":null,"out_of dat
e_at":null,"filter_host_parents":"","exclude_host_parents":"","filtering_mode":0,"id":3}]

CLI:

[root@ent-02-vm-08 ~]# hammer virt-who-config info --id 3
General information:

Id: 3

Name: YnsUsEpOnl

Hypervisor type:  esx

Hypervisor server: 10.73.131.152

Hypervisor username: administrator@vsphere.local

Status: No Report Yet
Schedule:
Interval: every hour
Last Report At:

Connection:

Satellite server:  ent-02-vm-08.lab.eng.nay.redhat.com
Hypervisor ID: hostname

Filtering: Unlimited

Filter host parents:
Exclude host parents:
Debug mode: yes
Ignore proxy:

No options are available to show HTTP Proxy details info.

Additional info:
It is a regression since the bug(https://bugzilla.redhat.com/show_bug.cgi?id=1686691 ) has been fixed.

Associated revisions

Revision d1113a9d - 12/14/2020 03:58 PM - Chris Roberts
Refs #31467 - Update proxy fields in show command

History

#1 - 12/07/2020 08:01 PM - Chris Roberts
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_virt_who_configure/pull/129,
https://github.com/theforeman/hammer-cli-foreman-virt-who-configure/pull/11 added

#2 - 12/09/2020 06:37 PM - Chris Roberts

- Triaged changed from No to Yes

#3 - 12/14/2020 03:40 PM - Jonathon Turel

- Project changed from Katello to virt-who configure
- Category deleted (API)

- Target version deleted (Katello 3.18.1)

#4 - 04/11/2024 09:23 PM - Chris Roberts
- Status changed from Ready For Testing to Closed
